Subject: Re: [PATCH] yacc, lex: new 'no-ylwrap' option to prevent use of the 'ylwrap' script

From: Stefano Lattarini <[email-masked]>
Date: Tue, 26 Jun 2012 17:35:11 +0200

On 06/26/2012 04:34 PM, Akim Demaille wrote:
> Hi Stefano,
> 
> Thanks for this!
> 
> Le 25 juin 2012 à 16:01, Stefano Lattarini a écrit :
> 
>> When used with good yacc and lex implementations, like Flex and GNU Bison,
>> the 'ylwarp'
> 
> ylwrap
> 
>> script (meant to work around the deficiencies of older or
>> inferior yacc and lex implementations) creates far more problems and
>> annoyances than it solves.  For more details, just see the huge amount of
>> related bug reports and complaints:
>>  
> 
>> use will allow us to switch the default in Automake 1.13 (i.e., we will
>> start *not* using ylwrap by default) while still supporting users who
>> want to continue using ylwrap.
> 
> Shouldn't some Autoconf machinery just check if -o is supported?
>
This is probably a better idea, yes.  This could probably be done by
enhancing AM_PROG_LEX and defining a similar new AM_PROG_YACC macro.
Or better again, it could be done directly in AC_PROG_LEX and
AC_PROG_YACC, so that we could just rely on them in the future
(in the meantime, we could copy their new definitions in our
'm4/' directories, so that the new improved definitions will still
be accessible to users with older Autoconfs).

> I don't see the need for the user to have to decide whether
> to use ylwrap or not.  But I agree this is certainly harder to do.
>
Not much harder actually; and it's certainly much nicer to DTRT
instead of throwing another knob to tweak to the poor developer.
So I'll certainly give your proposal a try.

Thanks,
  Stefano